Bug 97035 - FILEOPEN: RTF wrong cell width
Summary: FILEOPEN: RTF wrong cell width
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All All
: medium normal
Assignee: Guillaume Smaha
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-01-11 09:45 UTC by Guillaume Smaha
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
PDF file (132.53 KB, application/x-download)
2016-01-11 09:45 UTC, Guillaume Smaha
Details
RTF file (6.10 KB, text/richtext)
2016-01-11 09:46 UTC, Guillaume Smaha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Smaha 2016-01-11 09:45:15 UTC
Overview:
The cells' width of the second row are wrong
See the PDF file for the correct rendering (with Word)

Steps to Reproduce:
Open the file on LO 4.4, LO 5.0 or LO (master)

Actual Results:
Bad rendering

Build Date & Hardware:
Linux (4.2.0-23-generic #22-Ubuntu SMP x86_64) - Master (22d5d2ca7dde6164bd1e0fa9b3493870995375c5)
Linux (4.2.0-23-generic #22-Ubuntu SMP x86_64) - 5.0 RC
Linux (4.2.0-23-generic #22-Ubuntu SMP x86_64) - 4.4.7
Linux (4.2.0-23-generic #22-Ubuntu SMP x86_64) - 4.3.7
Windows 7 x86_64 - 4.3.7
Comment 1 Guillaume Smaha 2016-01-11 09:45:39 UTC
Created attachment 121847 [details]
PDF file
Comment 2 Guillaume Smaha 2016-01-11 09:46:03 UTC
Created attachment 121848 [details]
RTF file
Comment 3 m.a.riosv 2016-01-11 23:13:46 UTC
Last version working for me:
Version 3.6.7.2 (Build ID: e183d5b)
Comment 4 Commit Notification 2016-01-15 07:36:28 UTC
Guillaume Smaha committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f2ce5c31708e5914d6d17d69b45f15a4429f8e3

Fix tdf#97035 - FILEOPEN: RTF wrong cell width

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-12 08:56:19 UTC
Guillaume Smaha committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b297456515ba198913e49121cfcbc1afc8d195a7&h=libreoffice-5-1

Fix tdf#97035 - Import: RTF wrong cell width

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.